org.eclipse.core.runtime.jobs

## Interface IJobChangeEvent

    public interface IJobChangeEvent

An event describing a change to the state of a job.

Since:
  3.0
See Also:
  `IJobChangeListener`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getDelay()` The amount of time in milliseconds to wait after scheduling the job before it should be run, or `-1` if not applicable for this type of event.
`Job` `getJob()` The job on which this event occurred.
`IStatus` `getJobGroupResult()` The result returned by the job's job group, if this event signals completion of the last job in a group, or `null` if not applicable.
`IStatus` `getResult()` The result returned by the job's run method, or `null` if not applicable.

### Method Detail

#### getDelay

    long getDelay()

The amount of time in milliseconds to wait after scheduling the job before it should be run, or `-1` if not applicable for this type of event. This value is only applicable for the `scheduled` event.

Returns:
  the delay time for this event

#### getJob

    Job getJob()

The job on which this event occurred.

Returns:
  the job for this event

#### getResult

    IStatus getResult()

The result returned by the job's run method, or `null` if not applicable. This value is only applicable for the `done` event.

Returns:
  the status for this event

#### getJobGroupResult

    IStatus getJobGroupResult()

The result returned by the job's job group, if this event signals completion of the last job in a group, or `null` if not applicable. This value is only applicable for the `done` event.

Returns:
  the job group status for this event, or `null`
Since:
  3.7